> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Get Channel Counters > Gets channel counter for the authenticated user. Permission required: `view-room-administration` ### Changelog | Version | Description | | ------- | ------------------------- | | 0.65.0 | Added | ## OpenAPI ````json GET /api/v1/channels.counters { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "Rooms" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "Channels" }, { "name": "Directory" }, { "name": "Groups" }, { "name": "Rooms" }, { "name": "Teams" }, { "name": "Room Invites" }, { "name": "Subscriptions" }, { "name": "ABAC" } ], "paths": { "/api/v1/channels.counters": { "get": { "tags": [ "Channels" ], "summary": "Get Channel Counters", "description": "Gets channel counter for the authenticated user.\n\nPermission required: `view-room-administration`\n### Changelog\n| Version | Description |\n| ------- | ------------------------- |\n| 0.65.0 | Added |", "operationId": "get-api-v1-channels.counters", "parameters": [ { "$ref": "#/components/parameters/Auth-Token" }, { "$ref": "#/components/parameters/UserId" }, { "$ref": "#/components/parameters/Optional-RoomId" }, { "$ref": "#/components/parameters/Optional-RoomName" }, { "name": "userId", "in": "query", "description": "The user ID.", "schema": { "type": "string", "example": "RtycPC29hqLJfT9xj" } } ], "responses": { "200": { "description": "OK\n\n**Note** \n- `joined` boolean flag whether the user has joined the room or not.\n- `members` is the count of current room members.\n- `unreads` is the count of unread messages for the specified user (for the calling user or the provided user ID).\n- `unreadsFrom` is the start date-time of unread interval for the specified user.\n- `msgs` is the count of messages in the room.\n- `latest` is the end date-time of unread interval for the specified user (or date-time of last posted message).\n- `userMentions` is the count of user mentions in messages.", "content": { "application/json": { "schema": { "type": "object", "properties": { "joined": { "type": "boolean" }, "members": { "type": "integer" }, "unreads": { "type": "integer" }, "unreadsFrom": { "type": "string" }, "msgs": { "type": "integer" }, "latest": { "type": "string" }, "userMentions": { "type": "integer" }, "success": { "type": "boolean" } } }, "examples": { "Example": { "value": { "joined": true, "members": 23, "unreads": 2, "unreadsFrom": "2023-09-12T16:33:11.644Z", "msgs": 7345, "latest": "2023-09-25T22:50:07.979Z", "userMentions": 0, "success": true } } } } } }, "401": { "$ref": "#/components/responses/authorizationError" } } } } }, "components": { "parameters": { "Auth-Token": { "name": "X-Auth-Token", "in": "header", "description": "The `authToken` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "RScctEHSmLGZGywfIhWyRpyofhKOiMoUIpimhvheU3f" }, "UserId": { "name": "X-User-Id", "in": "header", "description": "The `userId` of the authenticated user.", "required": true, "schema": { "type": "string" }, "example": "rbAXPnMktTFbNpwtJ" }, "Optional-RoomId": { "name": "roomId", "in": "query", "description": "The room ID. It is required if the `roomName` is not provided.", "schema": { "type": "string" }, "example": "dlpfuijw7ej" }, "Optional-RoomName": { "name": "roomName", "in": "query", "description": "The room name. It is required if the `roomId` is not provided.", "required": false, "schema": { "type": "string" }, "example": "general" } }, "responses": { "authorizationError": { "description": "Unauthorized", "content": { "application/json": { "schema": { "type": "object", "properties": { "status": { "type": "string" }, "message": { "type": "string" } } }, "examples": { "Authorization Error": { "value": { "status": "error", "message": "You must be logged in to do this." } } } } } } } } } ````